## Process this file with automake to produce Makefile.in

##########################################################################

bin_PROGRAMS = \
	didgmo \
	didgmo_ov

##########################################################################

## didgmo
didgmo_SOURCES = \
	main.c \
	plugin.c\
	didgmo.c\
	cadsd.c\
	fft.c\
	geo.c\
	wave.c\
	peak.c

include_HEADERS = \
	didgmo.h

didgmo_DEPENDENCIES = \
	didgmo.h

didgmo_CFLAGS = \
	-O3 -g \
	@GLIB2_CFLAGS@ \
	@GMODULE2_CFLAGS@ \
	@FFTW3_CFLAGS@ \
	@SNDFILE_CFLAGS@ \
	-DPKGSYSCONFDIR='"@sysconfdir@/@PACKAGE@"' \
	-DPKGMODULESDIR='"@libdir@/@PACKAGE@/modules"'

didgmo_LDFLAGS = \
	@GLIB2_LIBS@ \
	@GMODULE2_LIBS@ \
	@FFTW3_LIBS@ \
	@SNDFILE_LIBS@

##########################################################################

## didmgo_ov (online version) 

didgmo_ov_SOURCES = \
	main_ov.c \
	cadsd.c \
	fft.c \
	geo.c \
	wave.c \
	peak.c

didmgo_ov_DEPENDENCIES = \
	didgmo.h

didgmo_ov_CFLAGS = \
	-O3 -g \
	@GLIB2_CFLAGS@ \
	@FFTW3_CFLAGS@ \
	@SNDFILE_CFLAGS@ \
	-DPKGDATAROOTDIR='"@datarootdir@/@PACKAGE@/modules"'

didgmo_ov_LDFLAGS = \
	-all-static \
	@GLIB2_LIBS@ \
	@FFTW3_LIBS@ \
	@SNDFILE_LIBS@

